Index: trunk/autoquest-core-usability-test/src/test/java/de/ugoe/cs/autoquest/usability/RequiredInefficientActionsRuleTest.java
===================================================================
--- trunk/autoquest-core-usability-test/src/test/java/de/ugoe/cs/autoquest/usability/RequiredInefficientActionsRuleTest.java	(revision 1493)
+++ trunk/autoquest-core-usability-test/src/test/java/de/ugoe/cs/autoquest/usability/RequiredInefficientActionsRuleTest.java	(revision 1918)
@@ -15,14 +15,10 @@
 package de.ugoe.cs.autoquest.usability;
 
-import static de.ugoe.cs.autoquest.usability.UsabilityDefectDescription.INEFFICIENT_ACTIONS;
-import static de.ugoe.cs.autoquest.usability.UsabilityDefectSeverity.HIGH;
-import static de.ugoe.cs.autoquest.usability.UsabilityDefectSeverity.INFO;
-import static de.ugoe.cs.autoquest.usability.UsabilityDefectSeverity.LOW;
-import static de.ugoe.cs.autoquest.usability.UsabilityDefectSeverity.MEDIUM;
+import static de.ugoe.cs.autoquest.usability.UsabilitySmellDescription.INEFFICIENT_ACTIONS;
 
 import org.junit.Before;
 import org.junit.Test;
 
-import de.ugoe.cs.autoquest.usability.UsabilityDefect;
+import de.ugoe.cs.autoquest.usability.UsabilitySmell;
 
 /**
@@ -36,5 +32,5 @@
     @Before
     public void setUp() {
-        UsabilityDefectSeverity.defaultCoverageQuantile = 0;
+        //UsabilitySmellIntensity.defaultCoverageQuantile = 0;
     }
     
@@ -53,8 +49,8 @@
             "}";
         
-        // no defect expected, as interactions do not form tasks
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[] {  };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        // no smell expected, as interactions do not form tasks
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[] {  };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -76,8 +72,8 @@
             "}";
         
-        // no defect expected, as interactions do not form tasks
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[] { };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        // no smell expected, as interactions do not form tasks
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[] { };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -99,8 +95,9 @@
             "}";
         
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, INEFFICIENT_ACTIONS) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  INEFFICIENT_ACTIONS) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -122,8 +119,9 @@
             "}";
         
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, INEFFICIENT_ACTIONS) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  INEFFICIENT_ACTIONS) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -149,8 +147,9 @@
             "}";
         
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, INEFFICIENT_ACTIONS) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  INEFFICIENT_ACTIONS) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -176,8 +175,9 @@
             "}";
         
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, INEFFICIENT_ACTIONS) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  INEFFICIENT_ACTIONS) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -202,8 +202,9 @@
             "}";
         
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(LOW, INEFFICIENT_ACTIONS) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*LOW*/ UsabilitySmellIntensity.getIntensity(0),
+                                  INEFFICIENT_ACTIONS) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -237,8 +238,9 @@
             "}";
         
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(MEDIUM, INEFFICIENT_ACTIONS) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*MEDIUM*/ UsabilitySmellIntensity.getIntensity(0),
+                                  INEFFICIENT_ACTIONS) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -272,8 +274,9 @@
             "}";
         
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(MEDIUM, INEFFICIENT_ACTIONS) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*MEDIUM*/ UsabilitySmellIntensity.getIntensity(0),
+                                  INEFFICIENT_ACTIONS) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -311,8 +314,9 @@
             "}";
         
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-           { new UsabilityDefect(LOW, INEFFICIENT_ACTIONS) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+           { new UsabilitySmell(/*LOW*/ UsabilitySmellIntensity.getIntensity(0),
+                                  INEFFICIENT_ACTIONS) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -350,8 +354,9 @@
             "}";
         
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-           { new UsabilityDefect(LOW, INEFFICIENT_ACTIONS) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+           { new UsabilitySmell(/*LOW*/ UsabilitySmellIntensity.getIntensity(0),
+                                  INEFFICIENT_ACTIONS) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -387,8 +392,9 @@
             "}";
         
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(INFO, INEFFICIENT_ACTIONS) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*INFO*/ UsabilitySmellIntensity.getIntensity(0),
+                                  INEFFICIENT_ACTIONS) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -424,8 +430,9 @@
             "}";
         
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(INFO, INEFFICIENT_ACTIONS) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*INFO*/ UsabilitySmellIntensity.getIntensity(0),
+                                  INEFFICIENT_ACTIONS) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -477,7 +484,7 @@
             "}";
         
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[] { };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[] { };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -529,7 +536,7 @@
             "}";
         
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[] { };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[] { };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
